Subject: Re: [secdir] secdir review of draft-ietf-homenet-arch-10

From: Tim Chown <[email-masked]>
Date: Tue, 5 Nov 2013 00:47:05 +0000

Hi Samuel,

The diff for the -11 is available here:
http://tools.ietf.org/rfcdiff?url2=draft-ietf-homenet-arch-11.txt

Comments in line,

On 11 Sep 2013, at 03:53, Samuel Weiler <[email-masked]> wrote:

> I have reviewed this document as part of the security directorate's
> ongoing effort to review all IETF documents being processed by the
> IESG.  These comments were written primarily for the benefit of the
> security area directors.  Document editors and WG chairs should treat
> these comments just like any other last call comments.
> 
> 
> Even though this is an architecture document, I think it deserves some AD attention.
> 
> 
> First: it seems odd to set an expectation for (near) zero-configuration:
> 
>   It is not practical to expect home users to configure their networks.
>   Thus the assumption of this document is that the homenet is as far  as
>   possible self-organising and self-configuring, i.e. it should
>   function without pro-active management by the residential user.
> 
> and then decline to give any guidance about, arguably, the most important security choice in the document:
> 
>   This document takes no position on [whether 'default allow' or
>   'default deny'] mode is the default, but assumes
>   the choice for the homenet to use either mode would be available.

- added text in 3.8.2 (ops/mgmt section) about the default deny/allow setting

> 
> I found the "Name spaces" section (3.7.3) a bit confusing, in part because it doesn't specifically name DNS at the start of the section, even though the details below clearly point to DNS (IDNA, possible conflicts with dotless TLDs).  Perhaps the second paragraph of 3.7.4, explaining that there are some non-DNS alternatives under consideration, should be moved up?  Furthermore, there are some particular assertions in both 3.7.3 and 3.7.4 that need to be reconsidered:

- moved all of section 3.7.4 above 3.7.3; it seems to flow better this way around?
> 
> -- "When DNS is used as the homenet name service, it includes both a
>   resolving service and an authoritative service."  Does it
>   necessarily?

- inserted "typically" wrt authoritative and resolving services
> 
> -- "The name space(s) should be served authoritatively by the
>   homenet..."   Why is that necessary?  (Indeed, there is text in
>   3.7.4 that seems to conflict with this.)

- on authoritative service - the WG consensus is to serve name space(s) from the homenet; this means independent operation can be supported.

> -- There is a recommendation to support DNSSEC on the authoritative
>   server side (in 3.7.4).  Shouldn't there be a similar
>   recommendation on the resolver side?

- on DNSSEC, the recommendation is intended to be for both; extra sentence added

Also, the phrase "secondary resolving name service" is clarified to "secondary authoritative name service”  

tim